;( function( $, window, document, undefined ) {
	'use strict';
	/* 
		Making items in the same row equal height
	*/
	
	$.fn.equalHeight = function(options) {
		
		options = $.extend({
				delegate: 'li'
			}, options);
				
		var makeEqual = function(items) {
			
			var h, 
				maxHeight = 0;
			
			items.each(function() {
				h = $(this).height();
				if (h > maxHeight) {
					maxHeight = h;
				}
			});
			
			items.height(maxHeight);
		};
				
		return this.each(function() {
			
			var self = $(this),
				items = self.children(options.delegate).not('.lazyload'),
			
				refresh = function() {
					
					if (!self.is(':visible')) {
						return;
					}
					
					var lastY = 0,
						row;
						
						
					items.height('auto').each(function() {
						var self = $(this),
							top = Math.floor(self.offset().top);
							
						if (row) {
							if (top > lastY) {
								if (row.length > 1) {
									makeEqual(row);
								}
								lastY = top;
								row = self;
							} else {
								row = row.add(self);
							}
						} else {
							lastY = top;
							row = self;
						}
					});
					
					if (row && row.length > 1) {
						makeEqual(row);
					}
				};
				
			if (!items.length) {
				return;
			}
			
			refresh();
			
			$(window).on('resize orientationchange', function(e) {
				refresh();
			});
			
			self.on('refresh', refresh);
					
		});
		
	};

})(jQuery, window, document);