;( function( $, window, document, undefined ) {
	'use strict';
	/* 
		Rendering share buttons
	*/
	
	$.fn.renderShares = function(options) {
		
		options = $.extend({
				className: 'shares',
				sites: 'facebook,twitter,googlePlus,tumblr'
			}, options);
		
		var self = $(this),
			supportedSites = 'facebook,twitter,googlePlus,tumblr,pinterest,linkedin,digg,stumbleupon,reddit,email',
			sites = options.sites.split(','),
			text = getTranslations({
				share: 'Share',
				shareOn: 'Share on',
				checkThisOut: 'Found this page',
				localWarning: 'Can\'t share local albums. Please upload your album first!'
			}),
			call = encodeURIComponent(options.callAction || text['checkThisOut']),
			label = options.label || text['share'],
						
			updateLinks = function(e, opt) {
				
				opt = (typeof opt !== 'undefined')? $.extend(options, opt) : options;
				
				if (opt.hasOwnProperty('description')) {
					opt.description = opt.description.stripHTML();
				}
				
				if (opt.hasOwnProperty('title')) {
					opt.title = opt.title.stripHTML();
				}
				
				var u = opt.href || window.location.href,
					ue = encodeURIComponent(u),
					title = encodeURIComponent(opt.title || $('meta[name=title]').attr('content') || $('title').text() || ''),
					description = encodeURIComponent(opt.description || $('meta[name=description]').attr('content') || ''),
					im = opt.image || $('link[rel=image_src]').attr('href') || '',
					image = encodeURIComponent(im),
					link;
				
				if (!im.startsWith('http')) {
					im = u.fullUrl() + im;
					image = encodeURIComponent(im);
				}
				
				cont.find('a').each(function() {
					var a = $(this);
					
					switch (a.data('share')) {
					
						case 'facebook':
							if (typeof FB === 'undefined') {
								link = 'http://www.facebook.com/sharer.php?s=100&p%5Burl%5D=' + ue + '&p%5Bimages%5D%5B0%5D=' + im + '&p%5Btitle%5D=' + title;
							} else {
								a.off('click.share').on('click.share', function() {
									FB.ui({
										method: 'feed',
										link: u,
										caption: opt.title || $('meta[name=title]').attr('content') || $('title').text() || '',
										description: opt.description || $('meta[name=description]').attr('content') || '',
										picture: im
									});
									return false;
								});
								return;
							}
							break;
						
						case 'twitter':			
							link = 'http://twitter.com/home?status=' + title + ': ' + ue;
							break;
							
						case 'googlePlus':
							link = 'https://plus.google.com/share?url=' + ue;
							break;
							
						case 'tumblr':
							link = 'http://www.tumblr.com/share/link?url=' + ue + '&name=' + title; 
							break;
							
						case 'pinterest':
							link = 'http://pinterest.com/pin/create/button/?url=' + ue + '&media=' + image + '&description=' + title;
							break;
						
						case 'linkedin':
							link = 'https://www.linkedin.com/shareArticle?mini=true&url=' + ue + '&title=' + title + '&summary=' + description;
							break;
							
						case 'digg':
							link = 'http://digg.com/submit?url=' + u;
							break;
							
						case 'stumbleupon':
							link = 'http://www.stumbleupon.com/submit?url=' + u + '&title=' + title;
							break;
							
						case 'reddit':
							link = 'http://www.reddit.com/submit?url=' + u;
							break;
							
						case 'email':
							a.attr({
								href: 'mailto:?subject=' + call + '&body=' + title + '%0D%0A' + description + '%0D%0A' + u.replace(/%/g, '%25')
							});
							
						default:
							return;
							
					}
				
					a.attr({
						href: link,
						target: '_blank'
					});
				});
			},
		
			createLinks = function() {
				var a, n, i;
				for (i = 0; i < sites.length; i++) {
					
					n = sites[i];
					if (supportedSites.indexOf(n) >= 0) {
						a = $('<a>', {
							'class': 'icon-' + n.unCamelCase(),
							title: text['shareOn'] + ' ' + n.capitalize()
						})
						.data('share', n)
						.appendTo(cont);
					}
				}
				updateLinks();
			},
			
			cont = $('<div>', {
				'class': options.className
			});
		
		
		self.append(cont);
		createLinks();
		
		self.on('updateLinks', updateLinks);
		
		if (!hasTouch) {
			cont.children('a').addTooltip();
		}
		
		return this;
	};

})(jQuery, window, document);