<!DOCTYPE html>
<% 	initPage(); %>
<!--[if IE 7 ]><html ${htmlAttr} class="no-js ie ie7 lte7 lte8 lte9"><![endif]-->
<!--[if IE 8 ]><html ${htmlAttr} class="no-js ie ie8 lte8 lte9"><![endif]-->
<!--[if IE 9 ]><html ${htmlAttr} class="no-js ie ie9 lte9>"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html ${htmlAttr} class="no-js"><!--<![endif]-->
<!-- This album was generated by jAlbum: http://jalbum.net (<ja:if test="${license}" not value="">${license}</ja:if><ja:else>unregistered</ja:else>) -->
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>${_title}</title>
	<ja:if exists="headlineFont"><link rel="stylesheet" href="http://fonts.googleapis.com/css?family=<%= util.getGoogleFont(headlineFont) %>"></ja:if>
	<ja:if exists="captionClean"><meta name="description" content="<%= util.shorten(captionClean) %>"></ja:if>
	<ja:if exists="writer"><meta name="author" content="${writer}"></ja:if>
	<meta name="generator" content="Created with jAlbum ${internalVersion} & ${skinName} ${skinVersion}, ${styleName} style :: album creation date ${currentDate}<ja:if test="${excludeCredits}" not value="true"> :: ${license}<%= (util.license.length() == 0)? "unregistered" : "" %></ja:if>">
	<meta name="keywords" content="<ja:if exists="keywords">${keywords}, </ja:if><ja:if test="${pageType}" value="index">${albumTags}</ja:if>"> 
	<ja:if exists="pageUrl"><meta property="og:url" content="${pageUrl}"></ja:if>
	<meta property="og:title" content="${_title}">
	<meta property="og:type" content="website">
	<meta name="twitter:title" content="${_title}">
	<meta name="twitter:card" content="summary">
	<ja:if test="${_useFacebook}"><ja:if exists="_facebookAppId"><meta property="fb:app_id" content="${_facebookAppId}"></ja:if></ja:if>
	<ja:if exists="captionClean"><meta property="og:description" content="<%= util.shorten(captionClean) %>">
	<meta name="twitter:description" content="<%= util.shorten(captionClean) %>"></ja:if>
	<ja:if exists="pageThumbUrl"><meta property="og:image" content="${pageThumbUrl}">
	<link rel="image_src" href="${pageThumbUrl}">
	<meta name="twitter:image" content="${pageThumbUrl}"></ja:if>
	<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="format-detection" content="telephone=no">
	<meta name="robots" content="index,follow">
	<link rel="stylesheet" href="${resPath}/common.css?v=${skinVersion}">
	<ja:if test="${useFavicon}"><link rel="apple-touch-icon-precomposed" href="${resPath}/apple-touch-icon-144x144-precomposed.png">
	<link rel="apple-touch-icon-precomposed" href="${resPath}/apple-touch-icon-114x114-precomposed.png">
	<link rel="icon" type="image/png" href="${resPath}/favicon-32x32.png" sizes="32x32">
	<link rel="icon" type="image/png" href="${resPath}/favicon-192x192.png" sizes="192x192">
	<!--[if IE]><link rel="shortcut icon" href="${resPath}/favicon.ico"><![endif]-->
	<meta name="msapplication-TileColor" content="#004b85">
	<meta name="msapplication-TileImage" content="${resPath}/tileicon.png"></ja:if>
	<meta name="theme-color" content="#ffffff">
	<!--[if (lt IE 9)]><script src="${resPath}/modernizr.js"></script><![endif]-->
	<ja:if exists="headHook"><%= util.getProcessed(headHook) %></ja:if>
</head>
<body id="${pageType}" class="${pageType}<ja:if test=<%= level < blogDepth %>> blog</ja:if><ja:if test="${level}" not value="0"> sub-album</ja:if><ja:else> top-level</ja:else>">
	<ja:if exists="bodyTopHook"><%= util.getProcessed(bodyTopHook) %></ja:if>
	<%-- Top menu --%>
	<section class="top-menu">
		<div class="row">
			<ja:if test=<%= level > 0 || pageType.equals("page") || !util.isEmpty(logoName) %>>
			<div class="<ja:if exists="logoName">large-4 logo</ja:if><ja:else>small-1</ja:else> columns">
				<%-- Home button --%>
				<div class="home-link">
					<ja:if exists="logoName">
					<ja:if test=<%= level > 0 || pageType.equals("page") %>><a href="${rootPath}/${indexName}" data-hint title="$text.home"><img src="${resPath}/<%= util.urlEncode(logoName) %>"></a></ja:if>
					<ja:else><img src="${resPath}/<%= util.urlEncode(logoName) %>"></ja:else>
					</ja:if><ja:else>
					<ja:if test=<%= level > 0 || pageType.equals("page") %>><a href="${rootPath}/${indexName}" class="icon-home" data-hint title="$text.home"></a></ja:if>
					<ja:else>&nbsp;</ja:else>
					</ja:else>
				</div>
			</div>
			</ja:if>
			<div class="<ja:if exists="logoName">large-8</ja:if><ja:else><ja:if test=<%= level > 0 || pageType.equals("page") %>>small-11</ja:if></ja:else> columns social-and-search">
				<%-- Social links --%>
				<div class="social-links"></div>
				<%-- Search --%>
				<ja:if test="${useSearch}">
				<form class="search<ja:if test="${searchVisibleByDefault}"> active</ja:if>">
					<div class="search-input"><input type="text" placeholder="Search..."></div>
					<a class="search-btn icon-search" data-hint title="$text.search"></a>
				</form>
				</ja:if>
				<%-- Background audio --%>
				<ja:if exists="backgroundAudio"><a class="player-btn" data-src="${backgroundMusic}"><ja:include page="includes/pausebtn.svg.inc" /><ja:include page="includes/playbtn.svg.inc" /></a></ja:if>
				<%-- Top navigation toggle button --%>
				<ja:if exists="topNavigation">
				<div id="topnav-toggle" class="nav-toggle"><a class="icon-menu" data-hint title="$text.navigation"></a></div>
				</ja:if>
			</div>
		</div>
	</section>
	<%-- Header --%>
	<header class="header">
		<ja:if exists="topNavigation">
		<div id="topnav" class="row">
			<div class="columns">
				<div class="pages-menu">
					<%-- Right block :: Pages --%>
					${topNavigation}
				</div>
				<a href="javascript:void(0)" class="icon-menu hide"></a>
			</div>
		</div>
		</ja:if>
		<%-- Slider box :: full width --%>
		<ja:if test=<%= pageType.equals("index") && level < blogDepth && sliderType.equals("fullWidth") && imageCount > 1 %>>
		<div class="row">
			<ja:include page="image-slider.inc" />
		</div>
		</ja:if>
		<div class="row">
			<div class="<%= ((pageType.equals("index") && level < blogDepth && sliderType.equals("small"))? "large-8 " : "") + "columns" %>">
				<div class="head">
					<%-- Breadcrumb path --%>
					<ja:if exists="breadcrumbPath">
					<div class="breadcrumb-path">${breadcrumbPath}</div>
					</ja:if>
					<div class="page-title">
						<h1><ja:if exists="uplink"><a class="back-btn nav-link icon-backward-light" href="${uplink}"<ja:if test="${level}" value="0"> target="_parent"</ja:if>></a></ja:if>${title}<ja:if test=<%= level > 0 && showDateInHeader && pageModDate != void && !util.isEmpty(pageModDate) %>> <div class="date">${pageModDate}</div></ja:if></h1>
					</div>
					<ja:if test="${pageType}" value="index"><ja:if exists="description">
					<div class="page-description">${description}</div>
					</ja:if></ja:if>
				</div>
			</div>
			<%-- Slider box :: small --%>
			<ja:if test=<%= pageType.equals("index") && level < blogDepth && sliderType.equals("small") && imageCount > 1 %>>
			<div class="large-4 columns">
				<div class="slider">
					<ja:include page="image-slider.inc" />
				</div>
			</div>
			</ja:if>
			<%-- Custom header.inc if present --%>
			<ja:include page="header.inc" />
		</div>
	</header>
	
	<div class="main"> 
		<div class="row">
			<div id="main-cont" class=<ja:if test="${useSidebar}">"large-8 columns"</ja:if><ja:else>"columns"</ja:else>>
				<%-- Shopping cart if above images --%>
				<ja:if test=<%= _useShop && shopPlacement.equals("aboveThumbs") && !util.isEmpty(shopOptionsDefault) %>>
				<div class="feedbox" id="shop-box">
					<ja:if exists="shopLabel"><h4 class="icon-shopping-cart">${shopLabel}</h4></ja:if>
					<div class="select-box">$text.select <a class="icon-checkbox-checked" id="selectall">$text.all</a> <a class="icon-checkbox-unchecked" id="selectnone">$text.none</a></div>
					<div class="buttons">
						<a class="button icon-checkbox-checked" id="add-selected">$text.addSelected</a>
					</div>
					<div id="shop-root"></div>
				</div>
				</ja:if>
				<article class="cont<ja:if test="${pageType}" value="page"> feedbox</ja:if>">